Subject: Re: bug#25397: guile-2.2 regression in utf8 support in scm_puts scm_lfwrite scm_c_put_string

From: Andy Wingo <[email-masked]>
Date: Mon, 09 Jan 2017 23:03:27 +0100

On Sun 08 Jan 2017 19:16, Linas Vepstas <[email-masked]> writes:

> There appears to be a regression in guile-2.2 with utf8 handling
> in the scm_puts() scm_lfwrite() and scm_c_put_string() functions.
>
> In guile-2.0, one could give these utf8-encoded strings, and these
> would display just fine.  In 2.2 they get mangled.

Could it be this from NEWS:

  ** Better locale support in Guile scripts

  When Guile is invoked directly, either from the command line or via a
  hash-bang line (e.g. "#!/usr/bin/guile"), it now installs the current
  locale via a call to `(setlocale LC_ALL "")'.  For users with a unicode
  locale, this makes all ports unicode-capable by default, without the
  need to call `setlocale' in your program.  This behavior may be
  controlled via the GUILE_INSTALL_LOCALE environment variable; see the
  manual for more.